package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class MemberManagementCollection extends AbstractObjectCollection 
{
    public MemberManagementCollection()
    {
        super(MemberManagementInfo.class);
    }
    public boolean add(MemberManagementInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(MemberManagementCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(MemberManagementInfo item)
    {
        return removeObject(item);
    }
    public MemberManagementInfo get(int index)
    {
        return(MemberManagementInfo)getObject(index);
    }
    public MemberManagementInfo get(Object key)
    {
        return(MemberManagementInfo)getObject(key);
    }
    public void set(int index, MemberManagementInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(MemberManagementInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(MemberManagementInfo item)
    {
        return super.indexOf(item);
    }
}